View Issue Details

IDProjectCategoryView StatusLast Update
0001465Scribus-public2004-12-29 20:42
Reportercniehaus Assigned Tofschmid  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSGentoo LinuxOS Version
Product Version1.2.1cvs 
Target VersionFixed in Version1.2.1cvs 
Summary0001465: Scribus crashes on attached file
DescriptionThe attached file crashes Scribus with SIGSEGV, Segmentation fault. I am using the latest cvs-code (as of 20:05, 28. Dec 2004)
Steps To ReproduceOpen the file and add one or more page(s). Scribus crashes immediately.
Additional InformationThe .svg-file was created with Inkscape 0.39. Crash was reproduced in IRC.
TagsNo tags attached.
Patch

Relationships

related to 0002931 acknowledged Metabug: SVG 

Activities

2004-12-28 18:23

 

angiospermae_samenanlagen.sla (67,772 bytes)

2004-12-28 18:26

 

angiospermae_samenanlagen.svgz (2,444 bytes)

cbradney

2004-12-28 18:26

administrator   ~0003269

0x0832728e in PageItem::DrawObj(ScPainter*, QRect) (this=0x0, p=0x9258d58, e={x1 = 0, y1 = 0, x2 = 0, y2 = 0}) at pageitem.cpp:286
286 double sc = Doc->Scale;
(gdb) bt
#0 0x0832728e in PageItem::DrawObj(ScPainter*, QRect) (this=0x0, p=0x9258d58, e={x1 = 0, y1 = 0, x2 = 0, y2 = 0}) at pageitem.cpp:286
0000001 0x0834140c in ScribusView::addPage(int) (this=0x8db41e0, nr=1) at scribusview.cpp:259
0000002 0x0837e44b in ScribusApp::slotNewPage(int) (this=0x84b82a0, w=1) at scribus.cpp:4618
0000003 0x0837e178 in ScribusApp::addNewPages(int, int, int, QString, QString) (this=0x84b82a0, wo=1, where=2, numPages=1, based1=
      {static null = {static null = <same as static member of an already seen type>, d = 0x83e80b8, static shared_null = 0x83e80b8}, d = 0x9257900, static shared_null = 0x83e80b8}, based2=
      {static null = {static null = <same as static member of an already seen type>, d = 0x83e80b8, static shared_null = 0x83e80b8}, d = 0x8558f58, static shared_null = 0x83e80b8}) at scribus.cpp:4583
0000004 0x0837dcb9 in ScribusApp::slotNewPageM() (this=0x84b82a0) at scribus.cpp:4522
0000005 0x0835a8fb in ScribusApp::qt_invoke(int, QUObject*) (this=0x84b82a0, _id=135, _o=0xbfffe6c0) at scribus.moc:907
0000006 0x4052c091 in QObject::activate_signal(QConnectionList*, QUObject*) () from /usr/qt/3/lib/libqt-mt.so.3
0000007 0x40848c9d in QSignal::signal(QVariant const&) () from /usr/qt/3/lib/libqt-mt.so.3
0000008 0x40544d15 in QSignal::activate() () from /usr/qt/3/lib/libqt-mt.so.3
0000009 0x40628438 in QPopupMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/qt/3/lib/libqt-mt.so.3
0000010 0x4055f8ad in QWidget::event(QEvent*) () from /usr/qt/3/lib/libqt-mt.so.3
0000011 0x404d4732 in QApplication::internalNotify(QObject*, QEvent*) () from /usr/qt/3/lib/libqt-mt.so.3
0000012 0x404d3bfc in QApplication::notify(QObject*, QEvent*) () from /usr/qt/3/lib/libqt-mt.so.3
0000013 0x4046d99d in QETWidget::translateMouseEvent(_XEvent const*) () from /usr/qt/3/lib/libqt-mt.so.3
0000014 0x4046ba54 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/qt/3/lib/libqt-mt.so.3
0000015 0x40481dfd in QEventLoop::processEvents(unsigned) () from /usr/qt/3/lib/libqt-mt.so.3
0000016 0x404e5a90 in QEventLoop::enterLoop() () from /usr/qt/3/lib/libqt-mt.so.3
0000017 0x404e5952 in QEventLoop::exec() () from /usr/qt/3/lib/libqt-mt.so.3
0000018 0x404d4939 in QApplication::exec() () from /usr/qt/3/lib/libqt-mt.so.3
0000019 0x083a0996 in mainGui(int, char**) (argc=1, argv=0xbffff274) at main.cpp:220
0000020 0x083a02c0 in main (argc=1, argv=0xbffff274) at main.cpp:126

cniehaus

2004-12-28 18:27

reporter   ~0003270

Forgot the backtrace:

[New Thread 16384 (LWP 9604)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 9604)]
0x08303815 in PageItem::DrawObj(ScPainter*, QRect) ()
(gdb) bt
#0 0x08303815 in PageItem::DrawObj(ScPainter*, QRect) ()
0000001 0x0831ebac in ScribusView::addPage(int) ()
0000002 0x0835dc09 in ScribusApp::slotNewPage(int) ()
0000003 0x0835d66a in ScribusApp::addNewPages(int, int, int, QString, QString) ()
0000004 0x0835d4da in ScribusApp::slotNewPageM() ()
0000005 0x08339311 in ScribusApp::qt_invoke(int, QUObject*) ()
0000006 0x40480d2c in QObject::activate_signal(QConnectionList*, QUObject*) () from /usr/qt/3/lib/libqt-mt.so.3
0000007 0x407bf42a in QSignal::signal(QVariant const&) () from /usr/qt/3/lib/libqt-mt.so.3
0000008 0x4049aedd in QSignal::activate() () from /usr/qt/3/lib/libqt-mt.so.3
0000009 0x405879c9 in QPopupMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/qt/3/lib/libqt-mt.so.3
0000010 0x404b6da7 in QWidget::event(QEvent*) () from /usr/qt/3/lib/libqt-mt.so.3
0000011 0x404248ef in QApplication::internalNotify(QObject*, QEvent*) () from /usr/qt/3/lib/libqt-mt.so.3
0000012 0x40423d54 in QApplication::notify(QObject*, QEvent*) () from /usr/qt/3/lib/libqt-mt.so.3
0000013 0x403b9bc1 in QETWidget::translateMouseEvent(_XEvent const*) () from /usr/qt/3/lib/libqt-mt.so.3
0000014 0x403b7c33 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/qt/3/lib/libqt-mt.so.3
0000015 0x403ced64 in QEventLoop::processEvents(unsigned) () from /usr/qt/3/lib/libqt-mt.so.3
0000016 0x40436ab8 in QEventLoop::enterLoop() () from /usr/qt/3/lib/libqt-mt.so.3
0000017 0x40436968 in QEventLoop::exec() () from /usr/qt/3/lib/libqt-mt.so.3
0000018 0x40424b41 in QApplication::exec() () from /usr/qt/3/lib/libqt-mt.so.3
0000019 0x083839a6 in mainGui(int, char**) ()
0000020 0x08382ee4 in main ()

fschmid

2004-12-28 22:26

administrator   ~0003278

Debugging would have been easier if you had mentioned that the crash happend when adding a page.

cbradney

2004-12-28 22:29

administrator   ~0003279

Steps to reproduce says..." Open the file and add one or more page(s). Scribus crashes immediately."

plinnell

2004-12-28 22:38

viewer   ~0003280

crash for me:


Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1073867232 (LWP 28034)]
0x0826eda8 in PageItem::DrawObj ()
(gdb) bt
#0 0x0826eda8 in PageItem::DrawObj ()
0000001 0x0828c18e in ScribusView::addPage ()
0000002 0x082b4dba in ScribusApp::slotNewPage ()
0000003 0x082b59ba in ScribusApp::addNewPages ()
0000004 0x082bc70b in ScribusApp::slotNewPageM ()
0000005 0x082c6cab in ScribusApp::qt_invoke ()
0000006 0x412b8d9e in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
0000007 0x415fe222 in QSignal::signal () from /usr/lib/qt3/lib/libqt-mt.so.3
0000008 0x412d5f53 in QSignal::activate () from /usr/lib/qt3/lib/libqt-mt.so.3
0000009 0x413c539f in QPopupMenu::mouseReleaseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
0000010 0x412ee835 in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
0000011 0x4125705f in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
0000012 0x412593c8 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
0000013 0x411f6580 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
0000014 0x411f51dd in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
0000015 0x41205b15 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
0000016 0x4126ecd1 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
---Type <return> to continue, or q <return> to quit---

Issue History

Date Modified Username Field Change
2004-12-28 18:23 cniehaus New Issue
2004-12-28 18:23 cniehaus File Added: angiospermae_samenanlagen.sla
2004-12-28 18:26 cniehaus File Added: angiospermae_samenanlagen.svgz
2004-12-28 18:26 cbradney Note Added: 0003269
2004-12-28 18:26 cbradney Status new => assigned
2004-12-28 18:26 cbradney Assigned To => fschmid
2004-12-28 18:27 cniehaus Note Added: 0003270
2004-12-28 22:26 fschmid Status assigned => resolved
2004-12-28 22:26 fschmid Fixed in Version => 1.2.1cvs
2004-12-28 22:26 fschmid Resolution open => fixed
2004-12-28 22:26 fschmid Note Added: 0003278
2004-12-28 22:29 cbradney Note Added: 0003279
2004-12-28 22:38 plinnell Note Added: 0003280
2004-12-29 20:42 cbradney Status resolved => closed
2006-05-17 19:28 christoph_s Relationship added related to 0002931